org.apache.datasketches.memory

## Class ReadOnlyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.datasketches.memory.MemoryException
        - - org.apache.datasketches.memory.ReadOnlyException

All Implemented Interfaces:
  Serializable

    public class ReadOnlyException
    extends MemoryException

The exception thrown when attempting to write into a read-only Resource.

Author:
  Praveenkumar Venkatesan
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReadOnlyException(String message)` Read Only Exception

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReadOnlyException

    public ReadOnlyException(String message)

Read Only Exception

Parameters:
  `message` - the error message